Bug 189697 - kwin allows Firefox to steal focus across desktops
kwin allows Firefox to steal focus across desktops
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 07:11 EDT by Fergal Daly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fergal Daly 2006-04-23 07:11:02 EDT
Description of problem:

I do something in Firefox, I switch to another application and start doing
something else and then all of a sudden I'm back in Firefox. Very annoying,
especially if other application had a password prompt and now half my password
is in a text in Firefox!

Version-Release number of selected component (if applicable):

version 3.5.2 release 0.2.fc5

How reproducible:

Totally. The example below uses gmail but the behaviour is not limited to gmail,
that was just the easiest way to consistently repro.

Steps to Reproduce:

Step 3 is a little tricky. If you computer or net connection is too fast it
might be difficult to do it quickly enough.

1 log in to gmail
2 click "compose mail"
3 click "discard" and immediately hit Ctrl-Tab to switch to a different desktop
4 wait
5 marvel at the fact that you are back on the Firefox desktop again
  

Additional info:

Gnome's WM doesn't seem to suffer from this. Also FF doesn't steal focus if you
Alt-Tab to another window on the same desktop. I though maybe Ctrl-Tab is
somehow leaving FF still with the focus even though it's not on the current
desktop but a quick experiment shows that even if I click on something on the
new desktop to ensure focus is no longer with FF, it still manages to steal it back.
Comment 1 Fergal Daly 2006-12-22 20:58:27 EST
This turned out to be a new default setting in KDE - let firefox (and a handful
of other apps) steal focus. Why that seemed like a good idea for a default
setting, I have no idea.

Note You need to log in before you can comment on or make changes to this bug.